<?php
/* 
Plugin name: Responsive Fashion Slider 
Plugin URI: https://globalbizsol.com
Description: Responsive Fashion Slider is a best wordpress plugin for the fashion industry websites. 
Version: 1.0
Author: GBS Developer
Author URI: https://profiles.wordpress.org/gbsdeveloper#content-plugins
License: GPLv2+
Text Domain: rf_slider
*/

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

define('RFS_PATH', plugin_dir_url(__FILE__));
include(dirname(__FILE__) . '/css/style.php' ); 

function rfs_custom_admin_style() {
      wp_enqueue_style( 'rfs-custom-admin-style', RFS_PATH. 'css/admin-style.css', false, '1.0.0' );
      wp_enqueue_style( 'rfs-custom-admin-style' );
}
add_action( 'admin_enqueue_scripts', 'rfs_custom_admin_style' );


function rfs_enqueue_scripts(){
		wp_enqueue_script( 'rfs-main', plugin_dir_url( __FILE__ ) . 'js/jquery.flipster.min.js',array('jquery') );
		wp_enqueue_script( 'rfs-custom', plugin_dir_url( __FILE__ ) . 'js/custom.js',array('jquery') );		
		wp_enqueue_style( 'rfs-flipster', plugin_dir_url( __FILE__ ) . 'css/jquery.flipster.min.css');	
		wp_enqueue_style( 'rfs-custom-style', plugin_dir_url( __FILE__ ) . 'css/style.php');	
		$rfs_custom_css = get_option('rfs_custom_css');
		wp_add_inline_style( 'rfs-custom-style', $rfs_custom_css );		
}
add_action("wp_head","rfs_enqueue_scripts");


add_action( 'admin_enqueue_scripts', 'rfs_add_color_picker' );
function rfs_add_color_picker( $hook ) {
     if( is_admin() ) {  
        // Add the color picker css file       
        wp_enqueue_style( 'wp-color-picker' ); 

        // Include our custom jQuery file with WordPress Color Picker dependency
        wp_enqueue_script( 'rfs-script-handle', plugins_url( 'js/rfs-color-picker-js.js', __FILE__ ), array( 'wp-color-picker' ), false, true ); 
         
        // Include our custom jQuery file with WordPress Color Picker dependency
        wp_enqueue_script( 'custom-script-handle', plugins_url( 'custom-script.js', __FILE__ ), array( 'wp-color-picker' ), false, true ); 
    }
}


function rfs_plugin_install() {
    // Trigger our function that registers the custom post type
    rfs_setup_post_type();
 
    // Clear the permalinks after the post type has been registered
    flush_rewrite_rules();
 
}
register_activation_hook( __FILE__, 'rfs_plugin_install' );

function rfs_plugin_deactivate() {
 // Clear the permalinks after the post type has been registered
    flush_rewrite_rules();
 
}
register_deactivation_hook( __FILE__, 'rfs_plugin_deactivate' );


add_action('admin_head', 'rfs_custom_style');
if(!function_exists('rfs_custom_style')){
	function rfs_custom_style() {
	  echo '<style>
	wprb-color-picker { padding:2px 5px!important;}
	</style>';
	}
}

if(!function_exists('rfs_setup_post_type')){
	function rfs_setup_post_type(){
		register_post_type( 'rf_slider', array(
            'labels' => array(
                'name' => 'RF Slider',
                'singular_name' => 'Slide',
                'add_new' => 'Add New Slide',
                'add_new_item' => 'Add New Slide',
                'edit' => 'Edit',
                'edit_item' => 'Edit Slide',
                'new_item' => 'New Slide',
                'view' => 'View',
                'view_item' => 'View Slide',
                'search_items' => 'Search RF Slides',
                'not_found' => 'No Slides Found',
                'not_found_in_trash' => 'No RF Slides found in Trash',
                'parent' => 'Parent Slide'
            ),
 
            'public' => true,
            'menu_position' => 15,
            'supports' => array( 'title', 'editor', 'comments', 'thumbnail', 'custom-fields' ),
            'taxonomies' => array( '' ),
            'menu_icon' => 'dashicons-admin-post',
            'has_archive' => true
        ));		
	}
}
add_action( 'init', 'rfs_setup_post_type' );

add_action('admin_menu', 'rfs_add_admin_menu');
if(!function_exists('rfs_add_admin_menu')){
	function rfs_add_admin_menu(){
		add_options_page( 'RF Slider', 'RF Slider', 'manage_options', 'rfslider', 'rfs_options_page');
	}
}

if(!function_exists('rfs_options_page')) {
	function rfs_options_page() {
		require 'settings.php';
}
}
require 'shortcodes.php';